Subject: RE: [Tsvwg] sctpsocket-02.txt

From: "Kimble Scott (NET/MtView)" <[email-masked]>
Date: Wed, 2 Jan 2002 13:36:30 -0800

Randall,

This sounds good.  Again, I was not thinking in terms of addip-sctp.

-----Original Message-----
From: ext Randall Stewart [mailto:[email-masked]]
Sent: Monday, December 31, 2001 6:54 AM
To: Scott Kimble
Cc: [email-masked]
Subject: Re: [Tsvwg] sctpsocket-02.txt

Scott:

In thinking on this item, I will add a note that if you
set the associ_id field to 0 you get the endpoints currently
bound set. 

You must still have a way to get the specific set on a association
since if you do NOT have the add-ip draft in place it is possible
that if I do a bind to INADDR_ANY and setup an association followed
by a ifconfig up of a new address and a subsequent association the
same endpoint will have two different associations with different
sets of bound addresses. Even if add-ip is supported the peer may
NOT support it and so you may get divergent sets of address for the
local endpoint...

R

Scott Kimble wrote:
> 
> Section 8.5 sctp_getladdrs()
> 
> The "sctp_assoc_t id" parameter is not required.  Applications may
query
> an SCTP instance prior to any association being established.
> 
> For example, since IN[6]ADDR_ANY is "optimal" (not necessarily all),
an
> application my want to call sctp_getladdrs() after calling bind
> (IN[6]ADDR_ANY) to determine what the optimal set is.
> 
> --
> [email-masked]
> Office 1.650.864.6587
> Mobile 1.650.743.7903
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/tsvwg

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg